ListJoinTag (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.ListJoinTag class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class ListJoinTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.ListJoinTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ListJoinTag

extends javax.servlet.jsp.tagext.TagSupport

A JSP tag that will take a java.util.List and format it using a given delimiter string.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ListJoinTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` Process the tag, generating and formatting the list.
`java.util.List` | `getList()`
`java.lang.String` | `getProperty()`
`void` | `release()`
`void` | `setDelimiter(java.lang.String delimiter)` Set the value of the list item delimiter (what will be printed between list items).
`void` | `setList(java.util.List list)` Set the name of the variable in the context that holds the `java.util.List` to be formatted.
`void` | `setProperty(java.lang.String property)` Set the property to be used for displaying the joined list.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListJoinTag

    public ListJoinTag()

Method Detail

### setList

    public void setList(java.util.List list)

  Set the name of the variable in the context that holds the `java.util.List` to be formatted.

  Parameters:
    `list` - the el expression for the list variable

### getList

    public java.util.List getList()

### setDelimiter

    public void setDelimiter(java.lang.String delimiter)

  Set the value of the list item delimiter (what will be printed between list items).

  Parameters:
    `delimiter` - the text to be printed between list items

### setProperty

    public void setProperty(java.lang.String property)

  Set the property to be used for displaying the joined list. This is useful if the list contains objects that are not primitive types, but are instead java beans.

  Parameters:
    `property` - the bean property to display

### getProperty

    public java.lang.String getProperty()

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  Process the tag, generating and formatting the list.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if the scripting variable can not be found or if there is an error processing the tag

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.